> For the complete documentation index, see [llms.txt](https://docs.tracr.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tracr.com/api-reference/grading-integration-service-gis-api/verification.md).

# Verification

## What is it?

Verification allows the lab to check that the diamond received in the lab is the diamond that is registered on Tracr. This is done using the data that the client has uploaded onto Tracr and submitted to the lab.

## How does it work?

The lab submits a POST `/v2/diamonds/{diamond_id}/verify` ([reference](/api-reference/grading-integration-service-gis-api/references/api-v2.md#post-v2-diamonds-diamond_id-verify)) request with the Tracr ID, and the client-submitted Carat Weight and Shape Group. GIS compares these values with the data declared by the manufacturer.

{% hint style="info" %}
Tracr checks that the diamond is a polished diamond registered in Tracr with a supported scan report.
{% endhint %}

{% hint style="info" %}
Required data:

* Tracr ID
* Client-submitted Carat Weight (this should be what the client submits to the lab).
* Client-submitted Shape (this should be what the client submits to the lab).
  {% endhint %}

Call `POST /v2/diamonds/kzsrfx4dxupa7a8uyn15wund/verify`

{% tabs %}
{% tab title="Request" %}

```json
{
    "carat_weight": 0.160,
    "shape_group": "Princess"
}
```

{% endtab %}

{% tab title="Successful verification" %}

```json
{
    "status": "success"
}
```

{% endtab %}

{% tab title="Failed verification" %}

```json
{
    "status": "failure",
    "data": {
        "carat_weight": {
            "matched": false,
            "known_value": "0.160",
            "given_value": "2.010",
            "tolerance": "0.020"
        },
        "shape_group": {
            "matched": true,
            "known_value": "Princess",
            "given_value": "Princess"
        }
    }
}
```

{% endtab %}
{% endtabs %}

## HTTP response status code

### 200 : Success

Returned when the request has been successfully processed.

### 404 : Not Found

Returned when a Diamond is not found in the Tracr network.

```json
{
    "detail": "Diamond cannot be found in Tracr"
}
```

### 410 : Gone

Returned when the diamond has been deleted.

```json
{
    "reason": "diamond_has_been_deleted",
    "detail": null
}
```

### 412 : Precondition Failed

Returned when there has not been a successful verify request for this diamond.

```json
{
    "detail": "A successful request to verify the diamond must have been carried out before proceeding to validation."
}
```

### 422 : Unprocessable Entity

Returned when the request doesn't match the endpoint data requirements.

```json
{
    "detail": [
        {
            "loc": [
                "path",
                "diamond_id"
            ],
            "msg": "string does not match regex \"^[a-z\\d]{20,98}$\"",
            "type": "value_error.str.regex",
            "ctx": {
                "pattern": "^[a-z\\d]{20,98}$"
            }
        }
    ]
}
```

### 500 : Internal Server Error

Returned when an internal error occurred within GIS. Please contact Tracr Support if you meet with this issue.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tracr.com/api-reference/grading-integration-service-gis-api/verification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
